LINUX.ORG.RU

Konqueror Embedded


0

0

checking for Qt... configure: error: Qt (>= Qt 2.2.2) (library qt) not found. Please check your installation!

Все что можно связанное с QT установлено и пути вроде те что в configure совпадают а эта сволочь не собирается.
Дистр Debian Etch.

кусок log файла

configure:33203: checking for Qt
configure: 33268: /usr/lib/qt2/include/qstyle.h
configure: 33268: /usr/lib/qt2/qstyle.h
configure: 33268: /usr/lib/qt/include/qstyle.h
configure: 33268: /usr/lib/qt/qstyle.h
configure: 33268: /usr/local/qt/include/qstyle.h
configure: 33268: /usr/include/qt/qstyle.h
configure: 33268: /usr/include/qstyle.h
configure: 33268: /usr/X11R6/include/X11/qt/qstyle.h
configure: 33268: /usr/X11R6/include/qt/qstyle.h
configure: 33268: /usr/X11R6/include/qt2/qstyle.h
configure: 33268: /usr/include/qt3/qstyle.h
taking that
tried NO
tried /usr/lib/qt2/lib
tried /usr/lib/qt2
tried /usr/lib/qt/lib
tried /usr/lib/qt
tried /usr/X11R6/lib
tried /usr/lib
tried /usr/local/qt/lib
tried /usr/lib
configure:33385: rm -rf SunWS_cache; g++ -o conftest -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -O2 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -I/usr/include/qt3 -I.  -D_REENTRANT  -LNONE -L/usr/lib     conftest.cpp  -lqt -lpng -lz -lm -ljpeg  -lXext -lX11 -lSM -lICE   1>&5
/usr/bin/ld: cannot find -lqt
collect2: ld returned 1 exit status
configure:33388: $? = 1
configure: failed program was:
#include "confdefs.h"
#include <qglobal.h>
#include <qapplication.h>
#include <qevent.h>
#include <qstring.h>
#include <qstyle.h>
#if QT_VERSION < 210
#error 1
#endif
#if ! (QT_VERSION >= 222)
#error 1
#endif

int main() {
    QStringList *t = new QStringList();
    Q_UNUSED(t);
    QString s;
    s.setLatin1("Elvis is alive", 14);
    return 0;
}
configure:33428: error: Qt (>= Qt 2.2.2) (library qt) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
anonymous

Re: Konqueror Embedded

qt >= 2.2.2 и < 3.0 у тебя стоит ?

Reset ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.